AnsweredAssumed Answered

HD6870

Question asked by shybri69 on Jan 25, 2016

I am running an HD6870 Rad. and cannot install any updates for drivers past 15.2 - the Evolved software says 16.1 is available, I download, install, restart and go back to Evolved and it says the same thing, 16.1 is available, well i thought i just installed it!!

 

I even tried updating the Cata software to 15.7 again i downloaded, installed, restarted and nothing still the old version, i am about to give up on this but i thought i would try this forum.

 

I have no clue why my system will not update anything with regards to AMD 

Outcomes